OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPShape
MgtTopLoc

# MgtTopLoc Class Reference

The package MgtTopLoc provides methods to store
and retrieve local coordinate systems. i.e.
translationg them from Persistent to Transient and
vice-versa.
* Persistent local coordinate systems are provided
by the package PTopLoc.
* Transient local coordinate systems are provided
by the package TopLoc.
This package keeps track of previous translations
to preserve the incremental feature of coordinate
systems. i.e. once a data has been translated,
translating it back will give the original data.
Two kinds of objects are managed :
* Datum3D : A Datum3D is an elementary local
coordinate system handled by reference.
* Location : A Location is a complex local
coordinate system made by linking elementary
coordinate systems (Datum3D). If a Location is
translated twice only the local coordinate systems
will be the same. This is not a problem as the
comparison of Locations is based on the comparison
of local coordinate systems.
.

`#include <MgtTopLoc.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
## Static Public Member Functions
static Standard_EXPORT Handle_PTopLoc_Datum3D | Translate (const Handle(TopLoc_Datum3D)&D, PTColStd_TransientPersistentMap &M)
| Translate a transient Datum3D to a persistant Datum3D. .
static Standard_EXPORT Handle_TopLoc_Datum3D | Translate (const Handle(PTopLoc_Datum3D)&D, PTColStd_PersistentTransientMap &M)
| Translate a persistant Datum3D to a transient Datum3D. .
static Standard_EXPORT PTopLoc_Location | Translate (const TopLoc_Location &L, PTColStd_TransientPersistentMap &M)
| Translate a non storable Location to a storable Location. .
static Standard_EXPORT TopLoc_Location | Translate (const PTopLoc_Location &L, PTColStd_PersistentTransientMap &M)
| Translate a storable Location to a non storable Location. .

## Member Function Documentation

void MgtTopLoc::operator delete | ( | void * | anAddress | ) | `[inline]`

void* MgtTopLoc::operator new | ( | size_t | size | ) | `[inline]`

void* MgtTopLoc::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

static Standard_EXPORT TopLoc_Location MgtTopLoc::Translate | ( | const PTopLoc_Location & | L,
|  | PTColStd_PersistentTransientMap & | M
| ) | `[static]`

static Standard_EXPORT PTopLoc_Location MgtTopLoc::Translate | ( | const TopLoc_Location & | L,
|  | PTColStd_TransientPersistentMap & | M
| ) | `[static]`

static Standard_EXPORT Handle_TopLoc_Datum3D MgtTopLoc::Translate | ( | const Handle(PTopLoc_Datum3D)& | D,
|  | PTColStd_PersistentTransientMap & | M
| ) | `[static]`

static Standard_EXPORT Handle_PTopLoc_Datum3D MgtTopLoc::Translate | ( | const Handle(TopLoc_Datum3D)& | D,
|  | PTColStd_TransientPersistentMap & | M
| ) | `[static]`

The documentation for this class was generated from the following file:

- MgtTopLoc.hxx